aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/dot_local/bin/executable_doasedit
diff options
context:
space:
mode:
authorLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2026-04-21 01:24:36 +0100
committerLibravatar sommerfeld <sommerfeld@sommerfeld.dev>2026-04-21 01:24:36 +0100
commit2b0930fbdea2565e01f451843dddeceef8e9cd42 (patch)
tree29e03c038580d92943ce3977461d4b92d45fe852 /dot_local/bin/executable_doasedit
parent4260b23f59752ca9e88161f649285da3cce82982 (diff)
downloaddotfiles-2b0930fbdea2565e01f451843dddeceef8e9cd42.tar.gz
dotfiles-2b0930fbdea2565e01f451843dddeceef8e9cd42.tar.bz2
dotfiles-2b0930fbdea2565e01f451843dddeceef8e9cd42.zip
style(shell): apply shfmt (-i 2 -ci -s)
Diffstat (limited to 'dot_local/bin/executable_doasedit')
-rwxr-xr-xdot_local/bin/executable_doasedit58
1 files changed, 29 insertions, 29 deletions
diff --git a/dot_local/bin/executable_doasedit b/dot_local/bin/executable_doasedit
index a3bdb2d..e58b9f2 100755
--- a/dot_local/bin/executable_doasedit
+++ b/dot_local/bin/executable_doasedit
@@ -41,15 +41,15 @@ check_doas_conf() {
printf '(E)dit again, (O)verwrite anyway, (A)bort: [E/o/a]? '
read -r choice
case "$choice" in
- o | O)
- return 0
- ;;
- a | A)
- return 1
- ;;
- e | E | *)
- "$editor_cmd" "$tmpfile"
- ;;
+ o | O)
+ return 0
+ ;;
+ a | A)
+ return 1
+ ;;
+ e | E | *)
+ "$editor_cmd" "$tmpfile"
+ ;;
esac
done
fi
@@ -71,26 +71,26 @@ _exit() {
while [ "${#}" -ne 0 ]; do
case "${1}" in
- --)
- shift
- break
- ;;
- --help | -h)
- help
- exit 0
- ;;
- --version | -V)
- printf 'doasedit version 1.0.7\n'
- exit 0
- ;;
- -*)
- printf "doasedit: invalid option: '%s'\n" "${1}"
- help
- exit 1
- ;;
- *)
- break
- ;;
+ --)
+ shift
+ break
+ ;;
+ --help | -h)
+ help
+ exit 0
+ ;;
+ --version | -V)
+ printf 'doasedit version 1.0.7\n'
+ exit 0
+ ;;
+ -*)
+ printf "doasedit: invalid option: '%s'\n" "${1}"
+ help
+ exit 1
+ ;;
+ *)
+ break
+ ;;
esac
done